## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Stylesheet.hpp File Reference

Include dependency graph for Stylesheet.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

- #define XALAN_STYLESHEET_HEADER_GUARD

## Typedefs

- typedef XalanVector<const
  XalanMatchPatternData*> PatternTableVectorTypeDecl

## Functions

- XALAN_USES_MEMORY_MANAGER (PatternTableVectorTypeDecl) class XALAN_PLATFORM_IMPORT Stylesheet
    This class represents the base stylesheet or an "import" stylesheet. More...

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class ExtensionNSHandler

## Define Documentation

#define XALAN_STYLESHEET_HEADER_GUARD

Value:

## Typedef Documentation

typedef XalanVector< const XalanMatchPatternData *> PatternTableVectorTypeDecl<const XalanMatchPatternData*>

## Function Documentation

XALAN_USES_MEMORY_MANAGER ( | PatternTableVectorTypeDecl )

| This class represents the base stylesheet or an "import" stylesheet. "include" stylesheets are combined with the including stylesheet.

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class ExtensionNSHandler

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.